2019-10-21 17:39 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002134FSSCPSEXPspublic2011-09-23 15:08
Reporterblowfish 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.13 
Summary0002134: set-fov SEXP at beginning of mission has no effect
DescriptionIf a set-fov SEXP is used at the beginning of a mission, it will not change the mission's FOV.
Additional InformationIt consistently does this with ( true ), ( has-time-elapsed 0 ), ( has-arrived-delay 0 "Alpha 1" ), basically anything that puts it at the beginning of the mission.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011875

blowfish (reporter)

I suspect that this might have to do with the default FOV being set AFTER the first round of SEXP evaluations.

~0011876

FUBAR-BDHR (developer)

Not a solution but it might be a workaround and confirm if that is the problem. Try setting a player entry delay if it's single player and using the has-arrived-delay alpha 1.

~0012845

CommanderDJ (developer)

Just tested it, and this is still present in r7768. FUBAR's suggestion has no effect, the FOV is still not set.

~0012847

CommanderDJ (developer)

With true and has-time-elapsed 0, this now works. I tracked it to sexp_set_fov() getting a NULL camera pointer (because the game runs sexp evaluation code before it does rendering setup stuff, as explained by The_E, so there's no camera for it to use). A quick fix by The_E solved this issue. Still no luck with has-arrived-delay on the player, as in that case sexp_set_fov() never actually gets called.

~0012848

The_E (administrator)

Committed in revision 7777 (wooo)
+Notes

-Issue History
Date Modified Username Field Change
2010-02-20 18:32 blowfish New Issue
2010-04-12 00:15 blowfish Note Added: 0011875
2010-04-12 05:07 FUBAR-BDHR Note Added: 0011876
2011-09-23 03:36 CommanderDJ Note Added: 0012845
2011-09-23 10:40 CommanderDJ Note Added: 0012847
2011-09-23 15:08 The_E Note Added: 0012848
2011-09-23 15:08 The_E Status new => resolved
2011-09-23 15:08 The_E Fixed in Version => 3.6.13
2011-09-23 15:08 The_E Resolution open => fixed
2011-09-23 15:08 The_E Assigned To => The_E
+Issue History